return function(settings, vault)
  settings.language = 'en'
  settings.language_dir = 'ltr'
  settings.site = {
    -- scheme = 'http',
    -- domain_name = 'www.example.com',
    frontpage = 'lorem_ipsum',
    name = 'Ophal',
    hash = vault.site.hash,
    logo_title = 'The Ophal Project',
    logo_path = 'images/ophalproject.png',
    files_path = 'files',
  }
  settings.micro_cache = false
  settings.debugapi = true
  settings.maintenance_mode = false
  settings.output_buffering = false
  settings.sessionapi = {
    enabled = true,
    ttl = 86400,
    lock_ttl = 120,
  }
  settings.formapi = false
  settings.date_format = '!%Y-%m-%d %H:%M UTC'
  settings.route_aliases_storage = false
  settings.route_aliases_prepend_language = false
  settings.route_redirects_storage = false
  settings.route_redirects_prepend_language = false

  --[[ Active/Disabled modules
    List of Ophal modules to load on bootstrap.

    Example:

    settings.modules = {
      mymodule = true,
      othermodule = false, -- disabled module
    }
  ]]
  settings.modules = {
    lorem_ipsum = true,
  }

  --[[ Database connection settings (see vault.lua) ]]
  settings.db = vault.db

  --[[ Extend jailed environment
    Ophal code is jailed into an environment with few functions. Use the
    global variable 'env' to add external functions and lua modules.

    Example:

    require 'external.library'
    env.myfunction = external.library.function
  ]]

  --[[
    Theme settings.
  ]]
  settings.theme = {
    name = 'basic',
  }

  --[[ Extend templates environment
    Template files (like: *.tpl.*) i.e: page.tpl.html, have a very limited
    set of functions available. Use setting 'template_env' to add external
    functions and lua modules.
    NOTE: Template variables are not overridden by the ones with this setting.

    Example:

    settings.template_env = {}

    require 'external.library'
    settings.template_env.myfunction = external.library.function
  ]]

  --[[ Mobile support settings
    The mobile_detect library is a helper for mobile web development.
    Set settings.mobile to nil to turn off mobile support.
    Always make sure to set settings.domain_name if settings.redirect is
    set to true.

    Example:
    settings.mobile = {
      theme = 'mobile',
      domain_name = 'mobile.mydomain.com',
      redirect = true,
    }
  ]]

  --[[
    Boost provides static cache by saving all the output to files.

    Example:

    settings.modules.boost = true
    settings.boost = {
      path = 'files/boost/',
      lifetime = 3600, -- seconds
      signature = '<!-- Page cached by Boost @ %s, expires @ %s -->',
      date_format = '!%Y-%m-%d %T UTC',
    }
  ]]
end
